package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttFlumBase;

/** 渡槽信息 Service */
public interface FlumeService {
    /**
     * 查询渡槽信息列表
     * 
     * @param attFlumBase 查询条件
     * @return 渡槽信息列表
     */
    public List<AttFlumBase> selectAttFlumBaseList(AttFlumBase attFlumBase);

    /**
     * 通过渡槽编码查询渡槽信息
     * 
     * @param flumCode 渡槽编码
     * @return 渡槽信息
     */
    public AttFlumBase selectAttFlumBaseById(String flumCode);

    /**
     * 批量删除渡槽信息
     * 
     * @param flumCodes 渡槽编码数组
     * @return 删除行数
     */
    public int deleteAttFlumBaseByIds(String[] flumCodes);

    /**
     * 新增渡槽信息
     * 
     * @param attFlumBase 渡槽信息
     * @return 插入行数
     */
    public int insertAttFlumBase(AttFlumBase attFlumBase);

    /**
     * 修改渡槽信息
     * 
     * @param attFlumBase 渡槽信息
     * @return 更新行数
     */
    public int updateAttFlumBase(AttFlumBase attFlumBase);
}
